Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Set< Container > Class Template Reference

A special std::set derivative for holding MySQL data sets. More...

`#include <myset.h>`

List of all members.

## Public Methods
| Set (const char *str)
| Create object from a comma-separated list of values.
| Set (const std::string &str)
| Create object from a comma-separated list of values.
| Set (const ColData &str)
| Create object from a comma-separated list of values.
std::ostream & | out_stream (std::ostream &s) const
| Insert this set's data into a C++ stream in comma-separated format.
| operator std::string ()
| Convert this set's data to a string containing comma-separated items.

## Detailed Description

### template<class Container = std::set< std::string>>
class mysqlpp::Set< Container >

A special std::set derivative for holding MySQL data sets.

The documentation for this class was generated from the following file:

- myset.h